CREATE TABLE cmf_ap_invoice_lines_gt (
    INVOICE_ID                      NUMBER(18, 0)     NOT NULL,
    INVOICE_LINE_ID                 NUMBER(18, 0) ,
    FISCAL_DOC_HEADER_ID            NUMBER(18, 0)     NOT NULL,
    FISCAL_DOC_LINE_ID              NUMBER(18, 0)     NOT NULL,
    FISCAL_DOC_SCHEDULE_ID          NUMBER(18, 0)     NOT NULL,
    REF_FISCAL_DOC_HEADER_ID        NUMBER(18, 0) ,
    REF_FISCAL_DOC_LINE_ID          NUMBER(18, 0) ,
    REF_FISCAL_DOC_SCHEDULE_ID      NUMBER(18, 0) ,
    FISCAL_DOC_CHARGE_ASSOC_ID      NUMBER(18, 0) ,
    LINE_TYPE_LOOKUP_CODE           VARCHAR2(100) ,
    LINE_NUMBER                     NUMBER(18, 0) ,
    LINE_GROUP_NUMBER               NUMBER        ,
    FISCAL_CHARGE_TYPE              VARCHAR2(120) ,
    AMOUNT                          NUMBER        ,
    ACCOUNTING_DATE                 DATE          ,
    DESCRIPTION                     VARCHAR2(960) ,
    PO_HEADER_ID                    NUMBER        ,
    PO_LINE_ID                      NUMBER        ,
    PO_LINE_LOCATION_ID             NUMBER        ,
    PO_DISTRIBUTION_ID              NUMBER(18, 0) ,
    FISCAL_DOC_DISTRIBUTION_ID      NUMBER(18, 0) ,
    INVENTORY_ITEM_ID               NUMBER        ,
    ITEM_DESCRIPTION                VARCHAR2(960) ,
    QUANTITY_INVOICED               NUMBER        ,
    SHIP_TO_LOCATION_ID             NUMBER(18, 0) ,
    UNIT_PRICE                      NUMBER        ,
    ORG_ID                          NUMBER(18, 0) ,
    RCV_TRANSACTION_ID              NUMBER        ,
    MATCH_OPTION                    VARCHAR2(100) ,
    PRICE_CORRECT_INV_NUM           VARCHAR2(200) ,
    PRICE_CORRECT_INV_LINE_NUM      NUMBER        ,
    PRICE_CORRECTION_FLAG           VARCHAR2(4)   ,
    UNIT_OF_MEAS_LOOKUP_CODE        VARCHAR2(100) ,
    ASSESSABLE_VALUE                NUMBER        ,
    FINAL_DISCHARGE_LOCATION_ID     NUMBER(18, 0) ,
    TAX_CLASSIFICATION_CODE         VARCHAR2(120) ,
    PRIMARY_INTENDED_USE            VARCHAR2(120) ,
    PRODUCT_TYPE                    VARCHAR2(960) ,
    PRODUCT_CATEGORY                VARCHAR2(960) ,
    PRODUCT_FISC_CLASSIFICATION     VARCHAR2(960) ,
    USER_DEFINED_FISC_CLASS         VARCHAR2(960) ,
    TRX_BUSINESS_CATEGORY           VARCHAR2(960) ,
    APPLICATION_ID                  NUMBER(18, 0) ,
    SOURCE_APPLICATION_ID           NUMBER        ,
    SOURCE_ENTITY_CODE              VARCHAR2(120) ,
    SOURCE_EVENT_CLASS_CODE         VARCHAR2(120) ,
    SOURCE_TRX_ID                   NUMBER        ,
    SOURCE_LINE_ID                  NUMBER        ,
    SOURCE_TRX_LEVEL_TYPE           VARCHAR2(120) ,
    LCM_ENABLED_FLAG                VARCHAR2(4)   ,
    DIST_CODE_COMBINATION_ID        NUMBER(18, 0) ,
    LINE_TYPE                       VARCHAR2(120) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    CONSUMPTION_ADVICE_HEADER_ID    NUMBER(18, 0) ,
    CONSUMPTION_ADVICE_LINE_ID      NUMBER(18, 0) ,
    REFERENCE_KEY5                  VARCHAR2(600) ,
    INVOICE_ID                      NUMBER(18, 0)     NOT NULL,
    INVOICE_LINE_ID                 NUMBER(18, 0) ,
    FISCAL_DOC_HEADER_ID            NUMBER(18, 0)     NOT NULL,
    FISCAL_DOC_LINE_ID              NUMBER(18, 0)     NOT NULL,
    FISCAL_DOC_SCHEDULE_ID          NUMBER(18, 0)     NOT NULL,
    REF_FISCAL_DOC_HEADER_ID        NUMBER(18, 0) ,
    REF_FISCAL_DOC_LINE_ID          NUMBER(18, 0) ,
    REF_FISCAL_DOC_SCHEDULE_ID      NUMBER(18, 0) ,
    FISCAL_DOC_CHARGE_ASSOC_ID      NUMBER(18, 0) ,
    LINE_TYPE_LOOKUP_CODE           VARCHAR2(100) ,
    LINE_NUMBER                     NUMBER(18, 0) ,
    LINE_GROUP_NUMBER               NUMBER        ,
    FISCAL_CHARGE_TYPE              VARCHAR2(120) ,
    AMOUNT                          NUMBER        ,
    ACCOUNTING_DATE                 DATE          ,
    DESCRIPTION                     VARCHAR2(960) ,
    PO_HEADER_ID                    NUMBER        ,
    PO_LINE_ID                      NUMBER        ,
    PO_LINE_LOCATION_ID             NUMBER        ,
    PO_DISTRIBUTION_ID              NUMBER(18, 0) ,
    FISCAL_DOC_DISTRIBUTION_ID      NUMBER(18, 0) ,
    INVENTORY_ITEM_ID               NUMBER        ,
    ITEM_DESCRIPTION                VARCHAR2(960) ,
    QUANTITY_INVOICED               NUMBER        ,
    SHIP_TO_LOCATION_ID             NUMBER(18, 0) ,
    UNIT_PRICE                      NUMBER        ,
    ORG_ID                          NUMBER(18, 0) ,
    RCV_TRANSACTION_ID              NUMBER        ,
    MATCH_OPTION                    VARCHAR2(100) ,
    PRICE_CORRECT_INV_NUM           VARCHAR2(200) ,
    PRICE_CORRECT_INV_LINE_NUM      NUMBER        ,
    PRICE_CORRECTION_FLAG           VARCHAR2(4)   ,
    UNIT_OF_MEAS_LOOKUP_CODE        VARCHAR2(100) ,
    ASSESSABLE_VALUE                NUMBER        ,
    FINAL_DISCHARGE_LOCATION_ID     NUMBER(18, 0) ,
    TAX_CLASSIFICATION_CODE         VARCHAR2(120) ,
    PRIMARY_INTENDED_USE            VARCHAR2(120) ,
    PRODUCT_TYPE                    VARCHAR2(960) ,
    PRODUCT_CATEGORY                VARCHAR2(960) ,
    PRODUCT_FISC_CLASSIFICATION     VARCHAR2(960) ,
    USER_DEFINED_FISC_CLASS         VARCHAR2(960) ,
    TRX_BUSINESS_CATEGORY           VARCHAR2(960) ,
    APPLICATION_ID                  NUMBER(18, 0) ,
    SOURCE_APPLICATION_ID           NUMBER        ,
    SOURCE_ENTITY_CODE              VARCHAR2(120) ,
    SOURCE_EVENT_CLASS_CODE         VARCHAR2(120) ,
    SOURCE_TRX_ID                   NUMBER        ,
    SOURCE_LINE_ID                  NUMBER        ,
    SOURCE_TRX_LEVEL_TYPE           VARCHAR2(120) ,
    LCM_ENABLED_FLAG                VARCHAR2(4)   ,
    DIST_CODE_COMBINATION_ID        NUMBER(18, 0) ,
    LINE_TYPE                       VARCHAR2(120) ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    CONSUMPTION_ADVICE_HEADER_ID    NUMBER(18, 0) ,
    CONSUMPTION_ADVICE_LINE_ID      NUMBER(18, 0) ,
    REFERENCE_KEY5                  VARCHAR2(600) ,
    CONSTRAINT pk_cmf_ap_invoice_lines_gt PRIMARY KEY (INVOICE_LINE_ID, INVOICE_LINE_ID)
);
